<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: GoogleTest</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('md__home_pi_medienserver_local_app_UILD_DOC_On__deps_googletest_src_README.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title">GoogleTest </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><h3><a class="anchor" id="autotoc_md282"></a>
OSS Builds Status</h3>
<p><a href="https://ci.appveyor.com/project/GoogleTestAppVeyor/googletest/branch/master"><img src="https://ci.appveyor.com/api/projects/status/4o38plt0xbo1ubc8/branch/master?svg=true" alt="Build status" class="inline"/></a></p>
<h2><a class="anchor" id="autotoc_md283"></a>
Announcements</h2>
<h3><a class="anchor" id="autotoc_md284"></a>
Release 1.10.x</h3>
<p><a href="https://github.com/google/googletest/releases/tag/release-1.10.0">Release 1.10.x</a> is now available.</p>
<h3><a class="anchor" id="autotoc_md285"></a>
Coming Soon</h3>
<ul>
<li>Post 1.10.x googletest will follow <a href="https://abseil.io/about/philosophy">Abseil Live at Head philosophy</a></li>
<li>We are also planning to take a dependency on <a href="https://github.com/abseil/abseil-cpp">Abseil</a>.</li>
</ul>
<h1><a class="anchor" id="autotoc_md286"></a>
Welcome to &lt;strong&gt;GoogleTest&lt;/strong&gt;, Google's C++ test framework!</h1>
<p>This repository is a merger of the formerly separate GoogleTest and GoogleMock projects. These were so closely related that it makes sense to maintain and release them together.</p>
<h2><a class="anchor" id="autotoc_md287"></a>
Getting Started</h2>
<p>The information for <b>GoogleTest</b> is available in the /home/pi/medienserver/local_app/UILD_DOC=On/_deps/googletest-src/docs/primer.md "GoogleTest Primer" documentation.</p>
<p><b>GoogleMock</b> is an extension to GoogleTest for writing and using C++ mock classes. See the separate /home/pi/medienserver/local_app/UILD_DOC=On/_deps/googletest-src/googlemock/README.md "GoogleMock documentation".</p>
<p>More detailed documentation for googletest is in its interior /home/pi/medienserver/local_app/UILD_DOC=On/_deps/googletest-src/googletest/README.md "googletest/README.md" file.</p>
<h1><a class="anchor" id="autotoc_md288"></a>
Features</h1>
<ul>
<li>An <a href="https://en.wikipedia.org/wiki/XUnit">xUnit</a> test framework.</li>
<li>Test discovery.</li>
<li>A rich set of assertions.</li>
<li>User-defined assertions.</li>
<li>Death tests.</li>
<li>Fatal and non-fatal failures.</li>
<li>Value-parameterized tests.</li>
<li>Type-parameterized tests.</li>
<li>Various options for running the tests.</li>
<li>XML test report generation.</li>
</ul>
<h1><a class="anchor" id="autotoc_md289"></a>
Supported Platforms</h1>
<p>GoogleTest requires a codebase and compiler compliant with the C++11 standard or newer.</p>
<p>The GoogleTest code is officially supported on the following platforms. Operating systems or tools not listed below are community-supported. For community-supported platforms, patches that do not complicate the code may be considered.</p>
<p>If you notice any problems on your platform, please file an issue on the <a href="https://github.com/google/googletest/issues">GoogleTest GitHub Issue Tracker</a>. Pull requests containing fixes are welcome!</p>
<h2><a class="anchor" id="autotoc_md290"></a>
Operating Systems</h2>
<ul>
<li>Linux</li>
<li>macOS</li>
<li>Windows</li>
</ul>
<h2><a class="anchor" id="autotoc_md291"></a>
Compilers</h2>
<ul>
<li>gcc 5.0+</li>
<li>clang 5.0+</li>
<li>MSVC 2015+</li>
</ul>
<p><b>macOS users:</b> Xcode 9.3+ provides clang 5.0+.</p>
<h2><a class="anchor" id="autotoc_md292"></a>
Build Systems</h2>
<ul>
<li><a href="https://bazel.build/">Bazel</a></li>
<li><a href="https://cmake.org/">CMake</a></li>
</ul>
<p><b>Note:</b> Bazel is the build system used by the team internally and in tests. CMake is supported on a best-effort basis and by the community.</p>
<h1><a class="anchor" id="autotoc_md293"></a>
Who Is Using GoogleTest?</h1>
<p>In addition to many internal projects at Google, GoogleTest is also used by the following notable projects:</p>
<ul>
<li>The <a href="http://www.chromium.org/">Chromium projects</a> (behind the Chrome browser and Chrome OS).</li>
<li>The <a href="http://llvm.org/">LLVM</a> compiler.</li>
<li><a href="https://github.com/google/protobuf">Protocol Buffers</a>, Google's data interchange format.</li>
<li>The <a href="http://opencv.org/">OpenCV</a> computer vision library.</li>
</ul>
<h1><a class="anchor" id="autotoc_md294"></a>
Related Open Source Projects</h1>
<p><a href="https://github.com/nholthaus/gtest-runner">GTest Runner</a> is a Qt5 based automated test-runner and Graphical User <a class="el" href="classInterface.html">Interface</a> with powerful features for Windows and Linux platforms.</p>
<p><a href="https://github.com/ospector/gtest-gbar">GoogleTest UI</a> is a test runner that runs your test binary, allows you to track its progress via a progress bar, and displays a list of test failures. Clicking on one shows failure text. Google Test UI is written in C#.</p>
<p><a href="https://github.com/kinow/gtest-tap-listener">GTest TAP Listener</a> is an event listener for GoogleTest that implements the <a href="https://en.wikipedia.org/wiki/Test_Anything_Protocol">TAP protocol</a> for test result output. If your test runner understands TAP, you may find it useful.</p>
<p><a href="https://github.com/google/gtest-parallel">gtest-parallel</a> is a test runner that runs tests from your binary in parallel to provide significant speed-up.</p>
<p><a href="https://marketplace.visualstudio.com/items?itemName=DavidSchuldenfrei.gtest-adapter">GoogleTest Adapter</a> is a VS Code extension allowing to view GoogleTest in a tree view, and run/debug your tests.</p>
<p><a href="https://github.com/matepek/vscode-catch2-test-adapter">C++ TestMate</a> is a VS Code extension allowing to view GoogleTest in a tree view, and run/debug your tests.</p>
<p><a href="https://pypi.org/project/cornichon/">Cornichon</a> is a small Gherkin DSL parser that generates stub code for GoogleTest.</p>
<h1><a class="anchor" id="autotoc_md295"></a>
Contributing Changes</h1>
<p>Please read /home/pi/medienserver/local_app/UILD_DOC=On/_deps/googletest-src/CONTRIBUTING.md "`CONTRIBUTING.md`" for details on how to contribute to this project.</p>
<p>Happy testing! </p>
</div></div><!-- contents -->
</div><!-- PageDoc -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
